gnutls_x509_crt_get_subject_alt_name(3)

NAME
gnutls_x509_crt_get_subject_alt_name - This function returns the certificate's alternative name, if any

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_subject_alt_name(gnutls_x509_crt_t cert, unsigned int seq, void * ret, size_t * ret_size, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

unsigned int seq
    specifies the sequence number of the alt name (0 for the first one, 1 for the second etc.)

void * ret
    is the place where the alternative name will be copied to

size_t * ret_size
    holds the size of ret.

unsigned int * critical
    will be non zero if the extension is marked as critical (may be null)

DESCRIPTION
This function will return the alternative names, contained in the given certificate. This is specified in X509v3 Certificate Extensions. GNUTLS will return the Alternative name (2.5.29.17), or a negative error code. Returns GNUTLS_E_SHORT_MEMORY_BUFFER if &ret_size is not enough to hold the alternative name. In that case &ret_size will be updated. If everything was ok the type of alternative name is returned. The type is one of the enumerated gnutls_x509_subject_alt_name_t. If the certificate does not have an Alternative name with the specified sequence number then returns GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE;

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.